List Refunds
Lists the refunds of the specified Payment Intent with pagination.
bearerAuthAuthorizationBearer <token>The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.
paymentIntentId*stringPayment Intent ID, such as pi_MNOL0POUV8IDPXCD
pageNum?integerPage number, starting from 1. Defaults to 1
1 <= value1pageSize?integerNumber of records per page. Defaults to 10. Maximum 1000
1 <= value <= 100010status?stringFilters by refund status. For values, see Refund statuses
"PENDING_APPROVAL""PROCESSING""COMPLETED""FAILED"createdAfter?stringStart of the creation time range (inclusive), in ISO 8601 with a time zone offset
createdBefore?stringEnd of the creation time range (inclusive), in ISO 8601 with a time zone offset
Uses the same pagination structure as the Payment Intent list. Each object in records[] is a Refund object.
application/json- response
code?integerBusiness status code
message?stringtraceId?stringRequest trace ID. Provide it when you contact technical support
data?curl -X GET 'https://api.test.stabofx.com/openapi/v1/payment-intents/string/refunds'{ "code": 200, "message": "OK", "traceId": "6a018b61edce0fed70c0e9464c51b86e", "data": { "records": [ { "refundId": "re_IFWNVQP0O6EHB6KV", "paymentIntentId": "pi_TZA3DEDJUNZLTUJ2", "amount": "10.00", "currency": "USD", "status": "COMPLETED", "reason": "REQUESTED_BY_CUSTOMER", "notes": "Customer requested a partial refund.", "metadata": {}, "createdAt": "2026-05-11T17:18:41+08:00", "completedAt": "2026-05-11T18:02:10+08:00" } ], "total": 1, "size": 10, "current": 1, "pages": 1 }}Retrieve a Payment Intent GET
Retrieves the payment details of a Payment Intent by its ID.
Create a Refund POST
Creates a refund for the specified Payment Intent. Partial and full refunds are supported. If you omit `amount`, the remaining refundable amount is refunded. A refund first enters `PENDING_APPROVAL` and is executed after operations approves it. Returns HTTP 200 on success.